package com.tencent.filter;

import android.opengl.GLES20;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.view.g;

public class m$h extends m {
    int[] value = new int[0];

    public m$h(String str) {
        super(str);
        AppMethodBeat.i(86404);
        AppMethodBeat.o(86404);
    }

    public final void setParams(int i) {
        AppMethodBeat.i(86405);
        if (this.handle < 0) {
            AppMethodBeat.o(86405);
            return;
        }
        GLES20.glUniform1iv(this.handle, this.value.length, this.value, 0);
        g.checkGlError("FloatParam setParams");
        AppMethodBeat.o(86405);
    }

    public final String toString() {
        AppMethodBeat.i(86406);
        String str = this.name + "=" + this.value;
        AppMethodBeat.o(86406);
        return str;
    }
}
